Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193688 - [patch] pulse plugin miscalculates latency
Summary: [patch] pulse plugin miscalculates latency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libao
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-17 21:41 UTC by Stas Sergeev
Modified: 2015-03-04 10:26 UTC (History)
3 users (show)

Fixed In Version: libao-1.2.0-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-04 10:26:08 UTC
Type: Bug


Attachments (Terms of Use)
the fix (951 bytes, application/mbox)
2015-02-17 21:41 UTC, Stas Sergeev
no flags Details

Description Stas Sergeev 2015-02-17 21:41:39 UTC
Created attachment 992924 [details]
the fix

Description of problem:
When libao is used with pulseaudio you get clicks.

Version-Release number of selected component (if applicable):
libao-1.2.0-3.fc21.x86_64

How reproducible:
easily

Steps to Reproduce:
1. use ao_play() in your app

Actual results:
clicks, dirty sound

Expected results:
clean sound

Additional info:
Attached is the fix.

Comment 1 Hans de Goede 2015-02-20 07:23:46 UTC
Thanks for the patch, I'm preparing an update fixing this.

Comment 2 Fedora Update System 2015-02-20 07:38:35 UTC
libao-1.2.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libao-1.2.0-4.fc21

Comment 3 Stas Sergeev 2015-02-20 11:09:03 UTC
Please upstream it if possible - i tried to do
that myself, but their site is extremely unfriendly
to newcomers. I couldn't even register in their bts.

Comment 4 Hans de Goede 2015-02-20 14:12:48 UTC
(In reply to Stas Sergeev from comment #3)
> Please upstream it if possible - i tried to do
> that myself, but their site is extremely unfriendly
> to newcomers. I couldn't even register in their bts.

I know the feeling wrt upstream's website not being ideal. As for me upstreaming the patch, sorry I do not have the time for that, so you will have to navigate upstreams website yourself. I do believe it is important to get this upstream though, so thanks for working on this!

Comment 5 Fedora Update System 2015-02-21 04:24:50 UTC
Package libao-1.2.0-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libao-1.2.0-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2380/libao-1.2.0-4.fc21
then log in and leave karma (feedback).

Comment 6 Stas Sergeev 2015-02-21 11:04:14 UTC
КУФВ

Comment 7 Stas Sergeev 2015-02-21 11:04:50 UTC
Lennart is credited as an author of this.
Lennart, could you help upstreaming this?

Comment 8 Stas Sergeev 2015-02-21 11:07:57 UTC
To clarify: libao's README says the following:
---
libao-pulse Copyright (C) Lennart Poettering 2004-2006
---
So I guess Lennart can help upstreaming the libao-pulse patch.
Sorry for unintentional comment #6

Comment 9 Fedora Update System 2015-03-04 10:26:08 UTC
libao-1.2.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.